@echo off
cls
:start
echo.
echo 1. Install Audio by Harman
echo 2. Remove Audio by Harman
echo 3. Exit
echo.
reg query "HKLM\Hardware\Description\System\CentralProcessor\0" | find /i "x86" > NUL && set OS=32 || set OS=64
set dest=%windir%\system32
if %OS%==64 set filepath=%~dp0x64
if %OS%==32 set filepath=%~dp0x86
set choice=
set /p choice=Type the number:
if not '%choice%'=='' set choice=%choice:~0,1%
if '%choice%'=='1' goto install
if '%choice%'=='2' goto remove
if '%choice%'=='3' exit
echo "%choice%" is not valid, try again
echo.
goto start

:install
taskkill /f /im HarmanSoundEffect.exe
net stop audiosrv
takeown /f "%dest%\HarmanAudioInterface.dll"
takeown /f "%dest%\HMAPO.dll"
takeown /f "%dest%\HMClariFi.dll"
takeown /f "%dest%\HMEQ.dll"
takeown /f "%dest%\HMEQ_Voice.dll"
takeown /f "%dest%\HMHVS.dll"
takeown /f "%dest%\HMLimiter.dll"
takeown /f "%dest%\HMUI.dll"
cacls "%dest%\HarmanAudioInterface.dll" /e /p administrators:f
cacls "%dest%\HMAPO.dll" /e /p administrators:f
cacls "%dest%\HMClariFi.dll" /e /p administrators:f
cacls "%dest%\HMEQ.dll" /e /p administrators:f
cacls "%dest%\HMEQ_Voice.dll" /e /p administrators:f
cacls "%dest%\HMHVS.dll" /e /p administrators:f
cacls "%dest%\HMLimiter.dll" /e /p administrators:f
cacls "%dest%\HMUI.dll" /e /p administrators:f
copy /y "%filepath%\HarmanAudioInterface.dll" %dest%
copy /y "%filepath%\HMAPO.dll" %dest%
copy /y "%filepath%\HMClariFi.dll" %dest%
copy /y "%filepath%\HMEQ.dll" %dest%
copy /y "%filepath%\HMEQ_Voice.dll" %dest%
copy /y "%filepath%\HMHVS.dll" %dest%
copy /y "%filepath%\HMLimiter.dll" %dest%
copy /y "%filepath%\HMUI.dll" %dest%
regsvr32 /s HarmanAudioInterface.dll
regsvr32 /s HMAPO.dll
regsvr32 /s HMUI.dll
if %OS%==64 (
msiexec /i "%filepath%\Audio By Harman.msi" /qn
)
if %OS%==32 (
msiexec /i "%filepath%\Audio By Harman_x86.msi" /qn
)
net start audiosrv
goto start

:remove
taskkill /f /im HarmanSoundEffect.exe
net stop audiosrv
takeown /f "%dest%\HarmanAudioInterface.dll"
takeown /f "%dest%\HMAPO.dll"
takeown /f "%dest%\HMClariFi.dll"
takeown /f "%dest%\HMEQ.dll"
takeown /f "%dest%\HMEQ_Voice.dll"
takeown /f "%dest%\HMHVS.dll"
takeown /f "%dest%\HMLimiter.dll"
takeown /f "%dest%\HMUI.dll"
cacls "%dest%\HarmanAudioInterface.dll" /e /p administrators:f
cacls "%dest%\HMAPO.dll" /e /p administrators:f
cacls "%dest%\HMClariFi.dll" /e /p administrators:f
cacls "%dest%\HMEQ.dll" /e /p administrators:f
cacls "%dest%\HMEQ_Voice.dll" /e /p administrators:f
cacls "%dest%\HMHVS.dll" /e /p administrators:f
cacls "%dest%\HMLimiter.dll" /e /p administrators:f
cacls "%dest%\HMUI.dll" /e /p administrators:f
regsvr32 /s /u HarmanAudioInterface.dll
regsvr32 /s /u HMAPO.dll
regsvr32 /s /u HMUI.dll
del /f "%dest%\HarmanAudioInterface.dll"
del /f "%dest%\HMAPO.dll"
del /f "%dest%\HMClariFi.dll" 
del /f "%dest%\HMEQ.dll"
del /f "%dest%\HMEQ_Voice.dll"
del /f "%dest%\HMHVS.dll"
del /f "%dest%\HMLimiter.dll"
del /f "%dest%\HMUI.dll"
if %OS%==64 (
msiexec /x{F2DA805F-3FBD-4A4E-970F-5EE7027107EB} /qn
)
if %OS%==32 (
msiexec /x{453EEB9D-7473-499C-925B-8B00884D3FE2} /qn
)
net start audiosrv
goto start
